
#ifndef _I2C_H
#define _I2C_H

#define I2C_BUS          (1)         // select I2C-Bus controller 1, 2 or 3
#define I2C_SCL_SPEED    (200000)    // SCL in Hz
#define I2C_OWN_ADDR     (0x00)      // use 0x00 for master


int  I2C_ReadTransfer(uint8_t addr, uint8_t *buffer, int cnt, uint32_t ptr, uint8_t ptrlen);
int  I2C_WriteTransfer(uint8_t addr, uint8_t *buffer, int cnt, uint32_t ptr, uint8_t ptrlen);
int  I2C_CheckDevice(uint8_t addr);
void I2C_BusInit(void);

#endif /*_I2C_H*/
